INTERFACE
SUBROUTINE CPGTL(&
 & CDCONF,KGPCOMP,&
 & PGMV,PGMVS,&
 & PB1,PB2,PGMVT1,PGMVT1S,PGFLT1,&
 & PB15,PGMV5,PGMV5S) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMM ,NPROMNH ,&
 & NFGPPC ,NGPBLKS 
USE YOMMP , ONLY : NASLB1 ,NSLCORE ,NFRSTLOFF
USE YOMSC2 , ONLY : NFLDSLB2 ,NFLDSLB1 ,NFLDSLB15
USE YOM_YGFL , ONLY : YGFL, YQ
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS ,YT0,YT9,YT5,YT1
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KGPCOMP
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2(NPROMA,NFLDSLB2,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGMVT1S(NPROMA,YT1%NDIMS,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5S(NPROMA,YT5%NDIMS,NGPBLKS)
END SUBROUTINE CPGTL
END INTERFACE
